# Class PluginRegistry.PluginFilter

java.lang.Object
org.eclipse.pde.core.plugin.PluginRegistry.PluginFilter

Enclosing class:
  `PluginRegistry`

@Deprecated(forRemoval=true, since="3.19 (removal in 2026-09 or later)") public static class PluginRegistry.PluginFilter extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
Instead use `Predicate` and filter the stream returned by `PluginRegistry.findModels(String, String, VersionMatchRule)` or `PluginRegistry.findModels(String, VersionRange)`
Filter used when searching for plug-in models.

Clients may subclass this class to implement custom filters.

Since:
  3.6
See Also:
  - `PluginRegistry.findModels(String, String, VersionMatchRule)`
  - `PluginRegistry.findModels(String, VersionRange)`

## Constructor Summary

Constructors
Constructor
Description
`PluginFilter()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(IPluginModelBase model)`
Deprecated.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginFilter

public PluginFilter()
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### accept

@Deprecated public boolean accept(IPluginModelBase model)
Deprecated.
Returns whether the given model is accepted by this filter.

Parameters:
  `model` - plug-in model
Returns:
  whether accepted by this filter